From 4cefa728e050bf342550997450c8564bddb16975 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 04:24:07 +0000
Subject: [PATCH 966/2232] Consistently use ety for extern type variables


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 4960111..f256948 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -46,7 +46,7 @@ fn do_typecheck(cx: &mut Check) {
         match api {
             Api::Struct(strct) => check_api_struct(cx, strct),
             Api::Enum(enm) => check_api_enum(cx, enm),
-            Api::CxxType(ty) | Api::RustType(ty) => check_api_type(cx, ty),
+            Api::CxxType(ety) | Api::RustType(ety) => check_api_type(cx, ety),
             Api::CxxFunction(efn) | Api::RustFunction(efn) => check_api_fn(cx, efn),
             _ => {}
         }
@@ -207,10 +207,10 @@ fn check_api_enum(cx: &mut Check, enm: &Enum) {
     }
 }
 
-fn check_api_type(cx: &mut Check, ty: &ExternType) {
-    check_reserved_name(cx, &ty.ident);
+fn check_api_type(cx: &mut Check, ety: &ExternType) {
+    check_reserved_name(cx, &ety.ident);
 
-    if let Some(reason) = cx.types.required_trivial.get(&ty.ident) {
+    if let Some(reason) = cx.types.required_trivial.get(&ety.ident) {
         let what = match reason {
             TrivialReason::StructField(strct) => format!("a field of `{}`", strct.ident),
             TrivialReason::FunctionArgument(efn) => format!("an argument of `{}`", efn.ident),
@@ -220,7 +220,7 @@ fn check_api_type(cx: &mut Check, ty: &ExternType) {
             "needs a cxx::ExternType impl in order to be used as {}",
             what,
         );
-        cx.error(ty, msg);
+        cx.error(ety, msg);
     }
 }
 
diff --git a/syntax/parse.rs b/syntax/parse.rs
index c1c565f..cec818d 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -221,7 +221,7 @@ fn parse_foreign_mod(
     }
 
     let mut types = items.iter().filter_map(|item| match item {
-        Api::CxxType(ty) | Api::RustType(ty) => Some(&ty.ident),
+        Api::CxxType(ety) | Api::RustType(ety) => Some(&ety.ident),
         Api::TypeAlias(alias) => Some(&alias.ident),
         _ => None,
     });

